Name: task-gnome
Version: 3.10.1
Release: %mkrel 3
Epoch:   1
Summary: Metapackage for GNOME desktop environment
Group: Graphical desktop/GNOME
License: GPLv2+
BuildArch: noarch
Requires: %{name}-minimal
Suggests: brasero
Suggests: caribou
Suggests: caribou-gtk3
Suggests: cheese
Suggests: ekiga
Suggests: empathy
Suggests: eog >= 2.8.0
Suggests: epiphany
Suggests: epiphany-extensions
Suggests: evince
Suggests: evolution
# do not install for now, not stable enough
#Suggests: evolution-tracker
Suggests: file-roller
Suggests: gnome-calculator
Suggests: gdm >= 3.1.0
Suggests: gedit >= 3.1.0
Suggests: gnome-backgrounds
Suggests: gnome-boxes
Suggests: gnome-clocks
Suggests: gnome-color-manager
Suggests: gnome-contacts
Suggests: gnome-disk-utility
Suggests: gnome-documents
Suggests: gnome-font-viewer
Suggests: gnome-games >= 3.1.0
Suggests: gnome-maps
Suggests: gnome-music
Suggests: gnome-photos
Suggests: gnome-system-monitor
Suggests: gnome-weather
Suggests: gucharmap
Suggests: mousetweaks
Suggests: nautilus
Suggests: nautilus-filesharing
Suggests: nautilus-sendto
Suggests: orca
Suggests: rhythmbox
Suggests: shotwell
Suggests: simple-scan
Suggests: sushi
Suggests: bijiben
Suggests: totem
Suggests: tracker-preferences
Suggests: vinagre
Suggests: vino

# splitted out to a multiple projects
Obsoletes: gnome-utils < 1:3.3.1
Suggests: baobab
Suggests: gnome-system-log
Suggests: gnome-search-tool
Suggests: gnome-dictionary
Suggests: gnome-screenshot

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running GNOME.

%package minimal
Summary: Minimal dependencies needed for GNOME desktop 
Group: Graphical desktop/GNOME
Requires: accountsservice
Requires: gnome-control-center >= 3.1.0
Requires: gnome-icon-theme
Requires: gnome-icon-theme-symbolic
Requires: gnome-power-manager
Requires: gnome-terminal >= 3.0.0
Requires: gnome-themes-standard
Requires: nautilus >= 3.1.0
Requires: networkmanager
Requires: gnome-shell
# classic alternative:
Requires: gnome-classic-session
Requires: yelp >= 3.1.0
# vendor specific:
Requires: %{_real_vendor}-theme
Requires: %{_real_vendor}-theme-gnome
# not strictly required modules
Suggests: gnome-tweak-tool
Suggests: task-pulseaudio
# vendor specific:
Suggests: drakconf
Suggests: mageiawelcome

# like task-kde4, but suggests instead of requires
Suggests: task-x11 >= 1-2

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal GNOME desktop environment.

%files

%files minimal


%changelog
* Wed Dec 18 2013 tv <tv> 1:3.10.1-3.mga4
+ Revision: 558381
- require gnome-classic-session so that the fallback is actually offered

* Tue Oct 22 2013 umeabot <umeabot> 1:3.10.1-2.mga4
+ Revision: 542309
- Mageia 4 Mass Rebuild

* Mon Oct 21 2013 ovitters <ovitters> 1:3.10.1-1.mga4
+ Revision: 537755
- new version 3.10.1

* Mon Oct 14 2013 ovitters <ovitters> 1:3.10.0-3.mga4
+ Revision: 497326
- make task-gnome-minimal require gnome-icon-theme

* Sat Sep 28 2013 ennael <ennael> 1:3.10.0-2.mga4
+ Revision: 488553
- add mageiawelcome as a suggest

* Thu Sep 26 2013 ovitters <ovitters> 1:3.10.0-1.mga4
+ Revision: 486515
- new version 3.10.0

* Thu Aug 22 2013 ovitters <ovitters> 1:3.9.90-2.mga4
+ Revision: 469494
- suggest gnome-music

* Wed Aug 21 2013 ovitters <ovitters> 1:3.9.90-1.mga4
+ Revision: 468951
- suggest gnome-maps
- require gnome-shell
- new version 3.9.90

  + dams <dams>
    - replace 'tomboy' with 'bijiben' (so no more need of mono)

* Wed Jul 31 2013 ovitters <ovitters> 1:3.9.5-2.mga4
+ Revision: 461697
- remove gnome-maps due to problem with a dependency

* Wed Jul 31 2013 ovitters <ovitters> 1:3.9.5-1.mga4
+ Revision: 461678
- new version 3.9.5
- add gnome-maps

* Thu May 30 2013 dams <dams> 1:3.8.2-4.mga4
+ Revision: 432972
- replace 'gcalctool' with 'gnome-calculator'
- delete no longer available 'nautilus-sendto-bluetooth' and 'nautilus-sendto-evolution'
- add 'nautilus-sendto'

* Mon May 27 2013 ovitters <ovitters> 1:3.8.2-3.mga4
+ Revision: 428713
- remove gnome-panel and metacity from task-gnome-minimal requires: fallback mode is gone in GNOME 3.8
- add gnome-photos
- add gnome-weather

* Sun May 26 2013 blino <blino> 1:3.8.2-1.mga4
+ Revision: 427764
- match GNOME version (3.8.2)

* Mon Jan 14 2013 umeabot <umeabot> 1:3.6.2-2.mga3
+ Revision: 384063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 ovitters <ovitters> 1:3.6.2-1.mga3
+ Revision: 327157
- match GNOME version (3.6.2)

* Wed Dec 05 2012 dams <dams> 1:3.5.91-2.mga3
+ Revision: 326983
- remove 'evolution-webcal' (obsoleted by G?\195?\182tz)

* Wed Sep 12 2012 ovitters <ovitters> 1:3.5.91-1.mga3
+ Revision: 292774
- suggest gnome-clocks in task-gnome

* Sat Jul 07 2012 ovitters <ovitters> 1:3.5.3-1.mga3
+ Revision: 268621
- remove suggests on preload,readahead
- new version 3.5.3

* Wed Apr 25 2012 dams <dams> 1:3.4.1-4.mga2
+ Revision: 233254
- set version as 3.4.1
- add 'simple-scan' as a suggest

* Mon Apr 16 2012 ennael <ennael> 1:3.4.0-3.mga2
+ Revision: 231071
- mageia-gnome-theme is a require

* Tue Apr 03 2012 ovitters <ovitters> 1:3.4.0-2.mga2
+ Revision: 228232
- Suggest mageia-theme-gnome for GDM+GNOME3 background (mga#4419)

* Tue Mar 27 2012 ovitters <ovitters> 1:3.4.0-1.mga2
+ Revision: 227118
- set version as 3.4.0

* Fri Mar 16 2012 ovitters <ovitters> 1:3.3.2-11.mga2
+ Revision: 223699
- ensure all missing GNOME core modules are suggested in task-gnome

* Wed Mar 14 2012 ovitters <ovitters> 1:3.3.2-10.mga2
+ Revision: 223354
- suggest task-x11 in task-gnome-minimal (mga#4138)

* Mon Mar 12 2012 ovitters <ovitters> 1:3.3.2-9.mga2
+ Revision: 223076
- revert changes of release 8

* Mon Mar 12 2012 ovitters <ovitters> 1:3.3.2-8.mga2
+ Revision: 223037
- ensure gnome-utils is installed (mga#4903)

* Thu Mar 01 2012 ovitters <ovitters> 1:3.3.2-7.mga2
+ Revision: 216420
- make gnome-tweak-tool a suggest
- sort the Requires: headers in -minimal package

* Thu Mar 01 2012 dams <dams> 1:3.3.2-6.mga2
+ Revision: 216406
+ rebuild (emptylog)

* Thu Mar 01 2012 dams <dams> 1:3.3.2-5.mga2
+ Revision: 216365
- replace 'f-spot' by 'shotwell' as photo manager

* Mon Feb 13 2012 tv <tv> 1:3.3.2-4.mga2
+ Revision: 208340
- Suggests drakconf in minimal package

* Mon Feb 13 2012 tv <tv> 1:3.3.2-3.mga2
+ Revision: 208336
- Suggests drakconf

* Sat Dec 10 2011 ovitters <ovitters> 1:3.3.2-2.mga2
+ Revision: 180245
- drop gconf-editor as per discussion with anssi

* Thu Dec 01 2011 ovitters <ovitters> 1:3.3.2-1.mga2
+ Revision: 174974
- add gnome-boxes

* Sat Oct 29 2011 wally <wally> 1:3.3.1-2.mga2
+ Revision: 159638
- really obsolete gnome-utils

* Sat Oct 29 2011 wally <wally> 1:3.3.1-1.mga2
+ Revision: 159604
- new version 3.3.1
- obsolete gnome-utils as it was splitted out to a multiple projects

* Mon Sep 26 2011 fwang <fwang> 1:3.2.0-1.mga2
+ Revision: 148647
- 3.2.0

* Sat Sep 17 2011 ovitters <ovitters> 1:3.1.91-4.mga2
+ Revision: 144531
- fix description

* Sat Sep 17 2011 ovitters <ovitters> 1:3.1.91-3.mga2
+ Revision: 144457
- add metacity requires, add comment for future reference

* Sat Sep 17 2011 fwang <fwang> 1:3.1.91-2.mga2
+ Revision: 144453
- suggests caribou-gtk3

* Sat Sep 17 2011 fwang <fwang> 1:3.1.91-1.mga2
+ Revision: 144448
- revise for gnome 3.2

* Sat Sep 10 2011 ovitters <ovitters> 1:2-0.6.mga2
+ Revision: 142244
- Add new GNOME 3.2 programs: sushi, gnome-contacts, gnome-documents
- add gnome-backgrounds as suggests as it is an offical GNOME Core dependency

  + mikala <mikala>
    - Add gnome-icon-theme-symbolic as a requires on task-gnome-minimal (need for icon panel)

* Fri Jun 17 2011 dmorgan <dmorgan> 1:2-0.4.mga2
+ Revision: 108668
- Add gnome-tweak-tool

* Thu Jun 16 2011 dmorgan <dmorgan> 1:2-0.3.mga2
+ Revision: 108331
- Update requires

* Wed Jun 15 2011 dmorgan <dmorgan> 1:2-0.2.mga2
+ Revision: 107880
- Better requires gnome-themes-standard than all his subpackages

* Wed Jun 15 2011 dmorgan <dmorgan> 1:2-0.1.mga2
+ Revision: 106759
- Add some more requires for gnome3
- Remove buildroot
  Remove old obsoletes

* Sat Apr 16 2011 blino <blino> 1:1-2.mga1
+ Revision: 86489
- fix suggested theme package name

* Sun Mar 27 2011 dmorgan <dmorgan> 1:1-1.mga1
+ Revision: 78136
- Fix version

* Sun Mar 27 2011 dmorgan <dmorgan> 1:Cauldron-1.mga1
+ Revision: 78125
- Fix task version

* Tue Jan 18 2011 blino <blino> 2010.1-6.mga1
+ Revision: 22332
- use vendor macro for suggested theme name
- imported package task-gnome

